Package com.independentsoft.office.spreadsheet

# Class CellSmartTag

java.lang.Object
com.independentsoft.office.spreadsheet.CellSmartTag

public class CellSmartTag extends Object
The Class CellSmartTag.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellSmartTag()`
  Instantiates a new cell smart tag.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CellSmartTag`
  `clone()`
  `int`
  `getSmartTagTypeIndex()`
  Gets the smart tag type index.
  `boolean`
  `isDeleted()`
  Checks if is deleted.
  `boolean`
  `isXmlBased()`
  Checks if is xml based.
  `void`
  `setDeleted​(boolean isDeleted)`
  Sets the deleted.
  `void`
  `setSmartTagTypeIndex​(int smartTagTypeIndex)`
  Sets the smart tag type index.
  `void`
  `setXmlBased​(boolean isXmlBased)`
  Sets the xml based.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CellSmartTag

    public CellSmartTag()
    Instantiates a new cell smart tag.

- ## Method Details

  - ### clone

    public CellSmartTag clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isDeleted

    public boolean isDeleted()
    Checks if is deleted.
    Returns:
      true, if is deleted

  - ### setDeleted

    public void setDeleted​(boolean isDeleted)
    Sets the deleted.
    Parameters:
      `isDeleted` - the new deleted

  - ### getSmartTagTypeIndex

    public int getSmartTagTypeIndex()
    Gets the smart tag type index.
    Returns:
      the smart tag type index

  - ### setSmartTagTypeIndex

    public void setSmartTagTypeIndex​(int smartTagTypeIndex)
    Sets the smart tag type index.
    Parameters:
      `smartTagTypeIndex` - the new smart tag type index

  - ### isXmlBased

    public boolean isXmlBased()
    Checks if is xml based.
    Returns:
      true, if is xml based

  - ### setXmlBased

    public void setXmlBased​(boolean isXmlBased)
    Sets the xml based.
    Parameters:
      `isXmlBased` - the new xml based